Skip to main content
POST
/
robots
/
{robotId}
/
incidents
Opens an incident related to a robot
curl --request POST \
  --url https://api.inorbit.ai/robots/{robotId}/incidents \
  --header 'Content-Type: application/json' \
  --header 'x-auth-inorbit-app-key: <api-key>' \
  --data '
{
  "triggerId": "<string>",
  "alias": "<string>",
  "label": "<string>",
  "message": "<string>"
}
'
{
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Body

application/json

Incident object to be created

triggerId
string
required

Trigger as shown in InOrbit Settings -> Insights -> Incidents screen.

alias
string
required

The incident alias serves as the incident identifier and deduplication key. The caller can choose any value, like for example a related incident id in another incident management system.

level
enum<string>
required

Incident level

Available options:
error,
warning
label
string
required

Incident label to use in the incidents list

message
string
required

Incident message

Response

Incident created